logging 0.11.4
logging: ^0.11.4
logging: ^1.0.0-nullsafety.0

Dart native js
Flutter Android iOS web

Provides APIs for debugging and error logging. This library introduces abstractions similar to those used in other languages, such as the Closure JS Logger and java.util.logging.Logger.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  logging: ^0.11.4

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:logging/logging.dart';
79
likes
90
pub points
99%
popularity

Provides APIs for debugging and error logging. This library introduces abstractions similar to those used in other languages, such as the Closure JS Logger and java.util.logging.Logger.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploaders

dgrove@google.com
jmesserly@google.com
sigmund@google.com
kevmoo@google.com
jakemac@google.com
kustermann@google.com

License

BSD (LICENSE)

More

Packages that depend on logging